/**
 *  报警服务 -- 模板推送
 *  数据对象的Dto
 * */

/**
 * 数据信息
 */
export  interface pushTemplateModel{
    /**模板ID */
    id?:number,
    /**模板名称*/
    templateName?: string,
    /**模板类型*/
    templateType?: string,
    /**模板内容 */
    templateContent?:string,
  }

/**
 * 列表查询信息
 */
export interface pushTemplateModel_SearchFilter {
  /**规则名称*/
  templateName?: string,
}

/** 查询信息输入 */
export interface TemplateFilterDto {
   /**
   * 当前页标
   * @format int32
   */
   CurrentPage?: number
   /**
    * 每页大小
    * @format int32
    */
   PageSize?: number
   Filter?: pushTemplateModel
}

/** 信息输出*/
export interface TemplateFilterDtoOutput{
  /**
   * 数据总数
   * @format int64
   */
  total?: number
  /** 数据 */
  list?: pushTemplateModel[] | null
}

/**结果输出*/
export interface TemplateFilterDtoResult {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 信息输出 */
  data?: TemplateFilterDtoOutput
}
  
/** 分页信息输入 */
export interface PageInputPushTemplateFilterModel {
  /**
   * 当前页标
   * @format int32
   */
  currentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  pageSize?: number
  dynamicFilter?: DynamicFilterInfo
  filter?: pushTemplateModel_SearchFilter
}

