import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams,} from "/@/api/admin/http-client";
  export class BoardListApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
   * No description
   *
   * @tags
   * @name GetList
   * @summary 查询列表
   * @request POST:'/api/app/board-list/get-board-list-page'
   * @secure
   */
getList = (data:any ,params: RequestParams = {}) : any  =>
      this.request<AxiosResponse,any>({
        path:'/api/app/board-list/get-board-list-page',
        method: 'POST',
        body:data,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })
    }