/**
 *  * 生产管理 - 电子二维码说明书
 *  数据对象的Dto
 */

/**
 * 查询过滤
 */
export interface QRBookFilter {
    /** 上传人 */ 
    Author?: string
    /** 说明书文件名 */
    FileName?: string
    /** 开始查询时间 */
    StartTime?: string | null
    /** 结束查询时间 */
    EndTime?: string | null
}

/**
 * 分页查询请求
 */
export interface QRBookPageSearchRequest {
    /**
   * 当前页标
   * @format int32
   */
  CurrentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  PageSize?: number
  Filter?: QRBookFilter
}

/**
 * 表数据
 */
export interface QRBookTableInfo {
    /** 文件信息id */
    id: number
    /** 文件guid */
    guid:string
    /** 说明书文件名 */
    fileName:string
    /** 说明书后缀名 */
    extension:string
    /** 状态 */
    status: number
    /** 上传人 */
    author:string
    /** 备注 */
    remark:string
    /**上传时间 */
    uploadTime:string
    /**修改时间 */
    updateTime:string
}

/**
 * 分页查询响应
 */
export interface QRBookPageSearchResponse {
    total:number,
    list: QRBookTableInfo[]
}

/**
 * 上传/修改文件信息
 */
export interface QRBookFileInfoRequset {
    fileName?:string
    status:number
    author?:string
    remark?:string
}