import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {PageInputAssociationFilterModel,associationFilterModel} from "/@/api/admin/reportManagement/association/associationDto";

export class AssociationApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{
  timer = 500
  /**
   * No description
   *
   * @tags
   * @name getPageData
   * @summary 分页查询
   * @request GET:
   * @secure
   */

  getPage = (data: PageInputAssociationFilterModel, params: RequestParams = {}) =>
    this.request<associationFilterModel, any>({
      path: `/api/app/fuel-dispenser/get-association-user-list`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
}