import { AxiosResponse } from 'axios'

import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {PageInputMonitorCpuFilterModel,ResultOutputPageOutputMonitorCpuFilterModel,PageOutputMonitorCpuFilterModel} from "/@/api/admin/reportManagement/monitorCpu/monitorCpuDto";

export class monitorCpuApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

  getPage = (data: PageInputMonitorCpuFilterModel, params: RequestParams = {}) =>
    this.request<ResultOutputPageOutputMonitorCpuFilterModel, any>({
      path: `/api/app/fuel-dispenser/get-encoder-controls-list`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
}